Bug 524090

Summary: KMS:RS780MC:HD3100 default display brightness issue
Product: [Fedora] Fedora Reporter: collura
Component: xorg-x11-drv-atiAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: collura, dougsland, gansalmon, itamar, jglisse, kernel-maint, vedran, xgl-maint
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-24 04:42:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
dmesg
none
var log xorg from fc13alpha live cd test
none
lshal from fc13alpha live cd test
none
lshal from a clean install of fc13 from dvd
none
Xorg log from clean install of fc13 none

Description collura 2009-09-17 16:39:46 EDT
default display brightness issue with RS780MC [Radeon HD 3100 Graphics] on kernel-2.6.30.5-43.fc11 (x86_64):

from what i ran across it was suggested that similar things were related to hardware access layer and kernel because of driver design path changes so that is why i am reporting this against kernel.  i hope that is appropriate.

the various video issues noticed since upgraded from fc10 to fc11 
( not necessarily related ):

-forgets default screen brightness on reboot so sets to max brightness
(think f10 used to set max until i logged in and then it applied my particluar setting but now with f11 my settings dont see to get applied)
-when go to power manager to reset brightness must move slider bar from its correct position to up few notches before registers change then can move back to original position but now the brightness is where is should be
-as temporary workaround added brightness control to gnome-panel for ease of reset but found that whenever i mouse over the control the brightness again goes to max which is even more anoying lol.
-cant enable desktop effects (not new, couldnt do effects in f10 either)


machine is toshiba satellite L355D-S7901


also ran across similar but different:
http://osdir.com/ml/fedora-list/2009-06/msg03027.html
http://fedoraforum.org/forum/showthread.php?p=1226482
https://bugzilla.redhat.com/show_bug.cgi?id=500936
https://bugzilla.redhat.com/show_bug.cgi?id=522610
https://bugzilla.redhat.com/show_bug.cgi?id=496975


exerpt from xorg log:

>(--) PCI:*(0:1:5:0) 1002:9613:1179:ff6a ATI Technologies Inc RS780MC 
>[Radeon HD 3100 Graphics] rev 0, Mem @ 0xc0000000/268435456, >0xd6300000/65536, 0xd6200000/1048576, I/O @ 0x00006000/256, BIOS @ 
>0x????????/131072
...
>(EE) open /dev/fb0: No such file or directory
...
>(EE) AIGLX error: Calling driver entry point failed(EE) AIGLX: reverting to 
>software rendering



hardware abstraction layer installed as "hal-0.5.12-29.20090226git.fc11 (x86_64)"

gnome power manager as "gnome-power-manager-2.26.4-3.fc11 (x86_64)"

kernel as "kernel-2.6.30.5-43.fc11 (x86_64)"

lsmod:
Module                  Size  Used by
fuse                   64448  2 
sunrpc                207352  1 
nf_conntrack_netbios_ns     2928  0 
ip6t_REJECT             5968  2 
nf_conntrack_ipv6      23384  8 
ip6table_filter         4208  1 
ip6_tables             20576  1 ip6table_filter
ipv6                  322280  34 ip6t_REJECT,nf_conntrack_ipv6
cpufreq_ondemand        8744  2 
powernow_k8            18068  0 
freq_table              5120  2 cpufreq_ondemand,powernow_k8
dm_multipath           18152  0 
uinput                  9856  0 
ata_generic             6068  0 
arc4                    2272  2 
ecb                     3584  2 
snd_hda_codec_realtek   281476  1 
uvcvideo               61644  0 
video                  24892  0 
videodev               36960  1 uvcvideo
r8169                  37268  0 
v4l1_compat            14580  2 uvcvideo,videodev
rfkill                 12372  0 
pata_acpi               5584  0 
snd_hda_intel          30488  2 
ath5k                 147560  0 
output                  3600  1 video
pcspkr                  3152  0 
usb_storage            62240  0 
v4l2_compat_ioctl32    10864  1 videodev
mii                     5312  1 r8169
joydev                 12608  0 
input_polldev           4432  0 
snd_hda_codec          78608  2 snd_hda_codec_realtek,snd_hda_intel
i2c_piix4              14624  0 
mac80211              234760  1 ath5k
snd_hwdep               9736  1 snd_hda_codec
snd_pcm                88440  2 snd_hda_intel,snd_hda_codec
snd_timer              24224  1 snd_pcm
pata_atiixp             6320  0 
snd                    73016  10 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_timer
soundcore               7584  1 snd
cfg80211               67912  2 ath5k,mac80211
shpchp                 36940  0 
snd_page_alloc         10064  2 snd_hda_intel,snd_pcm
sha256_generic         11024  0 
cbc                     4384  2 
cryptd                  8568  0 
aes_x86_64              8928  7 
aes_generic            27920  1 aes_x86_64
dm_crypt               14424  2 
radeon                542888  1 
drm                   228580  2 radeon
i2c_algo_bit            6612  1 radeon
i2c_core               33504  4 i2c_piix4,radeon,drm,i2c_algo_bit


dmseg is attached
Comment 1 collura 2009-09-17 16:47:03 EDT
Created attachment 361565 [details]
dmesg
Comment 2 Jerome Glisse 2009-10-14 06:54:12 EDT
Can you test with fedora 12 livecd and report if it works with it.
Comment 3 collura 2009-10-24 11:59:34 EDT
seems to have problems with fc12alpha x86_64 livecd ( 11.91 ) i downloaded like 10-16-09

when booting it gives me:

"[drm: radeon_driver_load_kms] *ERROR* failed to initialize radeon disabling IOCTL"

also, i noticed that the slider is wacky in that if i mouse over the brightness control while on the scroll section of the touchpad that is what seems to be part of the resetting the brightness when the control gets moused over.  

didnt install so couldnt test what happens to saved settings on reboot but seems reasonable to expect that the not finding the radeon will of course give the max response default anyway.

still wishing for 3d effects for radeon, lol.  fingers crossed.
Comment 4 collura 2009-12-01 20:38:41 EST
ok i still have the forgetful brightness meter problem on one machine with fc11.

now a duplicate machine that had not experienced the problem with fc11 is now having the forgetfulness problem since i installed fc12 on it last week.  fun. 

yes, still wishing for 3d effects too.
Comment 5 collura 2009-12-22 14:13:32 EST
changed to fc12 cause its still here
Comment 6 Vedran Miletić 2010-03-23 19:46:25 EDT
How about F13 Alpha?
Comment 7 collura 2010-03-24 01:37:07 EDT
summary: improving but not quite there. 

i just downloaded (but didnt install) the 842MB live dvd of fc13-alpha 
which is running: 

kernel 2.6.33-0.52.rc8.git6.fc13.x64_64
gnome 2.29.91
radeontool-1.5-6.fc12
xorg-x11-drv-ati-6.13.0-0.22.20100208git4f9d1714a.fc13


0) brightness applet still looks NOT to work.
when the system boots from the dvd the screen looks to be at full brightness
( which was the symptom of failure for the fc11/fc12 version ).

when i added the brightness applet to the fc13-alpha bar 
and try to drag the slider to try changing brightness, 
the slide bar does NOT complete a drag but rather disappears during the drag.

i managed to use the mousepad scroll feature 
to successfully drag the slider but
that still doesnt change the brightness of the actual monitor 
so its stuck at max brightness.

the brightness control applet seems worse because i cant change the brightness.
(i dont know what happens if i do a full install and wont have the chance for probably quite some time due to equip shortage.)


1) you guys rule.  the 3d effects engaged!

i was able to turn on the workspace cube function so that 
when i click to switch workspaces the cube rotates the screen.
very neet.  i was starting to think i would never see that.
cant wait to retry some of the astronomy and cad programs 
when i get an install going ;')

i also enabled the window warp-on-drag feature. which worked nicely as i drag my melty window to and fro.


thanks for all the work.
Comment 8 collura 2010-03-24 02:02:58 EDT
Created attachment 402202 [details]
var log xorg from fc13alpha live cd test
Comment 9 collura 2010-03-24 02:03:57 EDT
Created attachment 402203 [details]
lshal from fc13alpha live cd test
Comment 10 Vedran Miletić 2010-03-24 04:58:57 EDT
Thank you for reporting back. Updating summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 collura 2010-03-28 22:57:57 EDT
noticed these in fc12 '/var/log/messages' when i was looking for something else
(didnt see these in files previously attached)  :

Mar 28 21:25:47 machine dbus: Rejected send message, 1 matched rules; type="method_call", sender=":1.28" (uid=42 pid=1977 comm="gnome-power-manager) interface="org.freedesktop.Hal.Device.LaptopPanel" member="GetBrightness" error name="(unset)" requested_reply=0 destination=":1.1" (uid=0 pid=1451 comm="hald))

Mar 28 21:25:47 machine dbus: Rejected send message, 1 matched rules; type="method_call", sender=":1.28" (uid=42 pid=1977 comm="gnome-power-manager) interface="org.freedesktop.Hal.Device.LaptopPanel" member="SetBrightness" error name="(unset)" requested_reply=0 destination=":1.1" (uid=0 pid=1451 comm="hald))
Comment 12 Jerome Glisse 2010-04-19 03:22:48 EDT
Is this a laptop ?
Comment 13 collura 2010-04-19 12:39:13 EDT
yes laptop.

comment#0: "machine is toshiba satellite L355D-S7901"
Comment 14 collura 2010-06-08 20:47:42 EDT
i finally got around to doing a test install of fc13.

the forgetfull brightness is still an issue.

xorg-x11-drv-ati-6.13.0-1.fc13 (x86_64)
gnome-desktop-2.30.0-3.fc13 (x86_64)

see attachments
Comment 15 collura 2010-06-08 20:49:13 EDT
Created attachment 422392 [details]
lshal from a clean install of fc13 from dvd
Comment 16 collura 2010-06-08 20:49:57 EDT
Created attachment 422393 [details]
Xorg log from clean install of fc13
Comment 17 collura 2010-06-11 01:48:58 EDT
ok this is wierd:  
f13_kde seems to work but f13_gnome seems to work only sometimes?



not quite there but certainly getting closer:

0) in comment#14 where i reported continued forgetfulness the system was installed from f13 install gnome dvd.

for starters at least, the gnome install *didnt* seem to remember my brightness settings (though the wireless worked :') ).  

however, at some point after installing various programs and 2 days of update cycles the brightness settings seemed to be remembered. 
(though the gnome panel brightness control is still a bit flaky in that it jumps around or disappears when try to set level by dragging but was able to set by mouse rolly button).  

it was probably an update but it *seemed* like the actually change occured after i installed and enabled xdesktopwaves.  

**when time allows, i will be reinstalling f13 from the gnome dvd again to do that re-test and see if i can replicate the fix and to see whether it is related to updates or to some program i installed.**


1) however, in the mean time i just did a test install from fc13 kde livecd and that seems to remember the brightness just fine.  yay!  (though the wireless doesnt work so i cant just use it lol.)

xorg-x11-drv-ati-6.13.0-1.fc13 (x86_64)
kdebase-workspace-4.4.4-1.fc13 (x86_64)


2) unrelated(?) but at boot kde seems to report:
"pci 0000:04:00.0: no compatible bridge window for [mem 0xfffe0000-0xffffffff pref]"
i will read more on that error and figure out the right place to report it but here for now.
 

fingers crossed on further testing.
thanks for all the work.
more later.
Comment 18 collura 2010-10-07 02:12:45 EDT
as of fedora 14 beta (kde and gnome) the brightness seems reasonable. 
i am able to use sliders in power manager to set brightness.
brightness is remembered upon reboot.

i will leave this bug open until final release of fedora14 just in case.

thanks for the fix :')

(ps: bridge window error still here so must indeed not be related, havent tried compiz desktop effects yet)
Comment 19 Bug Zapper 2011-06-02 13:43:49 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 collura 2011-06-24 04:42:44 EDT
as of f15 am not getting the 'disabling IOCTL' errors or the GetBrightness errors 

(though pci bridge window error still around but unrelated)

(brightness is forgetful again but looking unrelated to this bug 
but rather from gnome-settings-daemon issue 
https://bugzilla.redhat.com/show_bug.cgi?id=695087)

so closing or letting expire but if anyone has issues will reopen

thanks again